Buyer Fleets

The Buyer Fleets in your account.

GET /buyer_fleets

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/buyer_fleets

List Buyer Fleet records.

Lists the Buyer Fleets in the account, groups of buyers identified by a shared user_fleet_id that system tokens use to reference fleet membership. Supports CSV export.

Supported Formats

json, csv

Params

Param name Description
page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • name
  • description
  • user_fleet_id
  • buyers_count
  • buyer_ids
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

order_dir
Optional

Sort results in ascending or descending order.

  • Must be one of: desc, asc.

GET /buyer_fleets/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/buyer_fleets/:id

Get an individual Buyer Fleet by id

Fetches a single Buyer Fleet by id.

POST /buyer_fleets

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/buyer_fleets

Create Buyer Fleet.

Creates a Buyer Fleet with a unique user_fleet_id (lowercase letters, numbers, and underscores only) used to identify fleet membership in system tokens.

Params

Param name Description
name
Required

The name of the buyer fleet.

  • Must be a String

description
Optional

A description for this buyer fleet.

  • Must be a String

user_fleet_id
Required

A unique identifier for this fleet. Only lowercase letters, numbers, and underscores are allowed. This ID is used in system tokens to identify fleet membership.

  • Must be a String

PUT /buyer_fleets/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/buyer_fleets/:id

Update an individual Buyer Fleet

Updates a Buyer Fleet's name, description, or user_fleet_id.

Params

Param name Description
name
Optional

The name of the buyer fleet.

  • Must be a String

description
Optional

A description for this buyer fleet.

  • Must be a String

user_fleet_id
Optional

A unique identifier for this fleet. Only lowercase letters, numbers, and underscores are allowed. This ID is used in system tokens to identify fleet membership.

  • Must be a String

DELETE /buyer_fleets/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/buyer_fleets/:id

Destroy an individual Buyer Fleet.

Deletes a Buyer Fleet by id.